Next: rawmemchr, Previous: memrchr, Up: Strings [Contents][Index]

### 5.13 `memset`—set an area of memory

Synopsis

    #include <string.h>
    void *memset(void *dst, int c, size_t length);

Description
This function converts the argument c into an unsigned char and fills the first length characters of the array pointed to by dst to the value.

Returns
`memset` returns the value of dst.

Portability
`memset` is ANSI C.

`memset` requires no supporting OS subroutines.